from django.db import models

# Create your models here.
from domini.models import *

class Alias(models.Model):
  id = models.IntegerField(db_column='id',primary_key=True)
  mailfrom = models.CharField(db_column='from',max_length=128)
  domain   = models.ForeignKey('domini.Domini',db_column='domain',on_delete=models.CASCADE)
  mailto   = models.CharField(db_column='to',max_length=256)
  enabled  = models.BooleanField(db_column='enabled')
  tobedeleted = models.BooleanField(db_column='tobedeleted')
  locked   = models.BooleanField(db_column='locked')
  nota     = models.TextField(db_column='nota')

  class Meta:
    ordering = ['id']
    db_table = 'mail_alias'
    managed  = False


